IvyNodeCallers
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.resolve
Class IvyNodeCallers

    java.lang.Object
      org.apache.ivy.core.resolve.IvyNodeCallers

    public class IvyNodeCallers

extends java.lang.Object

Nested Class Summary
`static class` | `IvyNodeCallers.Caller`

Constructor Summary
`IvyNodeCallers(IvyNode node)`

Method Summary
`void` | `addCaller(java.lang.String rootModuleConf, IvyNode callerNode, java.lang.String callerConf, java.lang.String requestedConf, java.lang.String[] dependencyConfs, DependencyDescriptor dd)`
`IvyNodeCallers.Caller[]` | `getAllCallers()`
`java.util.Collection` | `getAllCallersModuleIds()`
`IvyNodeCallers.Caller[]` | `getAllRealCallers()`
`IvyNodeCallers.Caller[]` | `getCallers(java.lang.String rootModuleConf)`
`IvyNode` | `getDirectCallerFor(ModuleId from)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyNodeCallers

    public IvyNodeCallers(IvyNode node)

Method Detail

### addCaller

    public void addCaller(java.lang.String rootModuleConf,
                          IvyNode callerNode,
                          java.lang.String callerConf,
                          java.lang.String requestedConf,
                          java.lang.String[] dependencyConfs,
                          DependencyDescriptor dd)

  Parameters:
    `rootModuleConf` -
    `mrid` -
    `callerConf` -
    `dependencyConfs` - '*' must have been resolved
    `dd` - the dependency revision id asked by the caller

### getCallers

    public IvyNodeCallers.Caller[] getCallers(java.lang.String rootModuleConf)

### getAllCallers

    public IvyNodeCallers.Caller[] getAllCallers()

### getAllRealCallers

    public IvyNodeCallers.Caller[] getAllRealCallers()

### getAllCallersModuleIds

    public java.util.Collection getAllCallersModuleIds()

### getDirectCallerFor

    public IvyNode getDirectCallerFor(ModuleId from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD